<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Empleados</title>
</head>

<body>
    <h1>Si los empleados quieres listar, la consola debes inspeccionar</h1>
    <script>
        const sucursal = {
            nombre: 'Sucursal 1',
            direccion: 'direccion 1'
        };

        fetch("/sucursales", {
            method: 'POST',
            body: JSON.stringify(sucursal)
        })
            .then(function (response) {
                return response.json()
            })
            .then(function (sucursal) {

                let empleado = {
                    nombre: 'Nancy',
                    apellido: 'Molina',
                    cargo: 'Encargada',
                    antiguedad: '4',
                    sucursalid: sucursal.id
                }
                console.log("Ejecutando un POST")
                fetch("/empleados", {
                    method: 'POST',
                    headers: {
                        'Content-type': 'application/json'
                    },
                    body: JSON.stringify(empleado)
                })
                    .then(function (response) {
                        console.log(response);
                        return response.json();
                    })
                    .then(function (datos) {
                        console.log(datos);

                        empleado = datos;
                        console.log("Ejecutando un GET")
                        fetch('/empleados')
                            .then(function (response) {
                                console.log(response)

                                return response.json()
                            })
                            .then(function (datos) {
                                console.log(datos)
                            })

                        empleado.nombre = "Hector"
                        console.log("Ejecutando un PUT")
                        fetch('/empleados/' + empleado.id, {
                            method: 'PUT',
                            body: JSON.stringify(empleado)
                        })
                            .then(function (response) {
                                console.log(response);
                                return response.text();
                            })
                            .then(function (datos) {
                                console.log(datos);
                            })
                        console.log("Ejecutando un DELETE")
                        fetch('/empleados/' + empleado.id, {
                            method: 'DELETE'
                        })
                            .then(function (response) {
                                console.log(response);
                                return response.text();
                            })
                            .then(function (datos) {
                                console.log(datos);
                            })
                    });
            })

    </script>

</body>

</html>